************************************************************
*                                                          *
*       Sprache   :  Clipper Summer '87                    *
*                                                          *
*       DEMO1     :  Funktion CHECKDBF                     *
*                                                          *
*       Copyright :  Ingo Berg, Krefeld im Dezember 1991   *
*                                                          *
************************************************************

Do ClipFunc.prg           && Einbinden der Funktion Checkdbf

Clear

@  1,10 Say " Demo der Clipper-Funktion CHECKDBF  "
@  1,50 Say " (C) Ingo Berg 1991 "
@  2, 0 Say Replicate( Chr( 205 ), 80 )

If File( "DEMO.MEM" )
   Erase DEMO.MEM                 && Fr wiederholte DEMO
                                  && mu zunchst DEMO.MEM
                                  && gelscht werden.
Endif

* ---< Teil 1 >------------------------------------------- *

  @  4, 0 Clear To 24,80

  @  4, 2 Say " < Teil 1 : Prfung auf externe nderung >  "
  @  6, 5 Say " Syntax: CHECKDBF( 'DEMO', 'L' )            "

  If CHECKDBF( "DEMO" , "L" )

     * ---< Ergebnis siehe Teil 2 >--- *

  Else

     @  8, 5 Say " Prfung durch CHECKDBF war False ...    "
     @  9, 5 Say " >>> Datenbank extern gendert oder"   + ;
                 " DEMO.MEM nicht vorhanden.               "
     @ 11, 0 Say Replicate( Chr( 196 ), 80 )
     @ 13, 5 Say " Folgender Programmeinsatz ist denkbar : "
     @ 14, 5 Say " - Programmzugriff verweigern ...        "
     @ 14,40 Say " < Syntax : Quit >     "
     @ 15, 5 Say " - Reindex aufrufen ...                  "
     @ 15,40 Say " < Syntax : Index On ... > "

  Endif

  @ 24,  0 Say "Weiter mit beliebiger Taste ..."
  Inkey(0)

* ---< Teil 2 >------------------------------------------- *

  @  4, 0 Clear To 24,80

  @  4, 2 Say " < Teil 2 : Prfung auf externe nderung >  "
  @  6, 5 Say " Syntax: CHECKDBF( 'DEMO', 'L' )            "

  CHECKDBF( "DEMO" , "S" )        && Erzeugung DEMO.MEM fr
                                  && Demonstration

  If CHECKDBF( "DEMO", "L" )

     Use DEMO
     @  8, 5 Say " Die Prfung durch CHECKDBF war True," + ;
                 " d.h. Datenzugriff ist mglich "
     Append Blank

     Use                          && DBF unbedingt schlieen

     @ 10, 5 Say " Es wurde ein neuer Satz in DEMO erzeugt."
     @ 11, 5 Say " Hierdurch wurde auch DOS-Info gendert. "

  Else

     * ---< Ergebnis siehe Teil 1 >--- *

  Endif

  @ 24,  0 Say "Weiter mit beliebiger Taste ..."
  Inkey(0)

* ---< Teil 3 >------------------------------------------- *

  @  4, 0 Clear To 24,80

  @  4, 2 Say " < Teil 3 : Erzeugung Memory-Datei >        "
  @  6, 5 Say " Vor jedem Programm-Ende mssen die DOS-" + ;
              "Informationen von DEMO.DBF                  "
  @  7, 5 Say  " mit folgender Syntax gesichert werden:    "
  @  9, 5 Say " Syntax: CHECKDBF( 'DEMO', 'S' )            "

  If CHECKDBF( "DEMO", "S" )
     @ 11, 5 Say " Wegschreiben der DOS-Info erfolgreich : "
     @ 13, 0 Say Replicate( Chr( 196 ), 80 )
     @ 13, 2 Say " < Aktuelles Directory : > "
     @ 14, 0
     RUN DIR *.MEM
  Else
     @ 13, 5 Say " Fehler beim Wegschreiben der"         + ;
                  " DOS-Info : prfe Plattenkapazitt ...  "
  Endif

  @ 24,  0 Say "Weiter mit beliebiger Taste ..."
  Inkey(0)

* ---< Ende >--------------------------------------------- *

  @  4, 0 Clear To 24,80

  CHECKDBF( "DEMO" , "S" )     && Einsatz siehe Teil 1

  @  6, 7 Say " Hiermit wre die Demonstration der"      + ;
              " Funktion CHECKDBF abgeschlossen ...        "
  @ 10, 7 Say " Ein Tipp noch am Ende ...                  "
  @ 12, 7 Say " Versuchen Sie einmal ein DOS-TYPE auf die  "
  @ 12,50 Say " DEMO.MEM ... "

  @ 23, 0
  Quit

************************************************************
*                  Ende DEMO1.PRG                          *
************************************************************